#include <iostream>
#include "glut.h"

using namespace std;

class HUD
{
    
public:    
    
    HUD(){}
    ~HUD(){}

////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////

    void enable(float largura, float altura)
    {
    //Altera para o modo de projeao Ortografica
    	glDisable(GL_DEPTH_TEST); 
    	glMatrixMode(GL_PROJECTION); 
    	glLoadIdentity(); 
    	gluOrtho2D(0, 1, 0, 1);
    	glMatrixMode(GL_MODELVIEW); 
    	glLoadIdentity();
        
    //Desativando configuraes extras
        glDisable(GL_LIGHTING);  
        glDisable(GL_FOG);     
    }

////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////

    void disable(float ratio, float xx, float yy, float zz, float lx, float ly, float lz)
    {
    //Volta para o modo de projeo pespectiva   
        glMatrixMode(GL_PROJECTION);
    	glLoadIdentity();
    	gluPerspective(45,ratio,1,2000); 
    	glMatrixMode(GL_MODELVIEW);
    	glLoadIdentity();
        glEnable(GL_DEPTH_TEST);
      
    
    //Atualizando a modelview que foi zerada com a posio atual da camera
        gluLookAt(xx,      yy,      zz,    //Camera
    		      xx + lx, yy + ly, zz + lz,
    			  0.0f,   1.0f,   0.0f);   
    }


};
